Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575577 - SELinux is preventing qtdemux0:sink from using the 'execstack' accesses on a process.
Summary: SELinux is preventing qtdemux0:sink from using the 'execstack' accesses on a ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:24ee4f95acec4d00e7c0fcaf8dc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 10:40 UTC by NM
Modified: 2018-11-30 22:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:50:25 UTC
Type: ---


Attachments (Terms of Use)

Description NM 2018-05-07 10:40:51 UTC
Description of problem:
SELinux is preventing qtdemux0:sink from using the 'execstack' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that qtdemux0:sink should be allowed execstack access on processes labeled thumb_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'qtdemux0:sink' --raw | audit2allow -M my-qtdemux0sink
# semodule -X 300 -i my-qtdemux0sink.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Objects                Unknown [ process ]
Source                        qtdemux0:sink
Source Path                   qtdemux0:sink
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.34.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.5-200.fc27.x86_64 #1 SMP Fri
                              Apr 27 19:05:44 UTC 2018 x86_64 x86_64
Alert Count                   81
First Seen                    2018-05-06 16:06:41 EDT
Last Seen                     2018-05-06 16:06:50 EDT
Local ID                      ca3584dd-a77b-48c7-aa33-77ac736cd028

Raw Audit Messages
type=AVC msg=audit(1525637210.829:10998): avc:  denied  { execstack } for  pid=24247 comm="qtdemux0:sink" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=process permissive=0


Hash: qtdemux0:sink,thumb_t,thumb_t,process,execstack

Version-Release number of selected component:
selinux-policy-3.13.1-283.34.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.16.5-200.fc27.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2018-05-22 11:02:06 UTC
Hi, 

This looks like more issue in gthumb than in policy. gthum requiring executable stack which could affect security.

Comment 2 Ben Cotton 2018-11-27 14:24:32 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 22:50:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.